﻿footer{
    width: 100%;
    display: block;
    position: relative;
    z-index: 100;
}
.footer-box{
    width: 100%;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: space-between;
    -webkit-justify-content: space-between;
    flex-direction: row;
    box-sizing: border-box;
    padding: 40px;
    background-color: #366694;
}
.footer-logo-box{
    display: inline-block;
    vertical-align: middle;
}
.footer-info{
    display: inline-block;
    vertical-align: middle;
    margin-left: 50px;
}
.footer-info a{
    margin-right: 15px;
    font-size: 30px;
    line-height: 42px;
    color: #fff;
    transition: all .3s linear;
}
.footer-top-box p{
    display: block;
    font-size: 14px;
    font-family: 'roboto';
    color: #fff;
    letter-spacing: 0.1em;
    line-height: 40px;
    opacity: 0.8;
    box-sizing: border-box;
    padding-left: 0.1em;
    transition: all .3s linear;
}
.footer-top-box span{
    width: 1px;
    height: 80px;
    display: block;
    background-color: #fff;
    margin: 0 auto;
    opacity: 0.6;
    position: relative;
    transform-origin: top;
    transition: all .3s linear;
}
.footer-top-box span::before{
    content: '';
    width: 1px;
    height: 14px;
    background-color: #fff;
    position: absolute;
    top: 0;
    left: 0;
    transform-origin: top;
    transform: translateY(20px) rotateZ(0);
    opacity: 0;
    transition: all .3s linear;
}
.footer-top-box span::after{
    content: '';
    width: 1px;
    height: 14px;
    background-color: #fff;
    position: absolute;
    top: 0;
    left: 0;
    transform-origin: top;
    transform: translateY(20px) rotateZ(0);
    opacity: 0;
    transition: all .3s linear;
}
.footer-web-box{
    width: 100%;
    display: block;
    background-color: #142d44;
    text-align: center;
}
.footer-web{
    font-size: 14px;
    color: #fff;
    line-height: 40px;
    font-weight: 100;
    letter-spacing: 0.1em;
    opacity: 0.7;
    box-sizing: border-box;
    padding-left: 0.1em;
    font-family: 'roboto';
}
.footer-web span:nth-child(1){
    font-weight: 200;
    font-family: 'Noto Sans TC';
}
.footer-web span:nth-child(2){
    font-weight: 100;
}

.index-fixed-box{
    position: fixed;
    bottom: 0;
    right: 40px;
    z-index: 99;
}
.index-fixed{
    width: 80px;
    height: 80px;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction:column;
    border-radius: 50%;
    overflow: hidden;
    margin-bottom: 30px;
    box-shadow: 0 0 5px rgba(0,0,0,0.35);
    transition: all .3s linear;
}
.index-fixed-line{
    background-color: #00b900;
    text-align: center;
}
.index-fixed-line span{
    background-color: #fff;
    color: #00b900;
    font-size: 80px;
    line-height: 75px;
    height: 60px;
    width: 68px;
    overflow: hidden;
    display: inline-block;
}
.index-fixed-line i{
    position: relative;
    left: -1px;
    top: -8px;

}
.index-fixed-phone{
    background-color: #fff;
    border: 18px solid #366694;
    box-sizing: border-box;
    font-size: 20px;
    color: #366694;
}



@media only screen and (max-width: 1000px){
    .index-fixed{
        width: 60px;
        height: 60px;
        margin-bottom: 20px;
    }
    .index-fixed-line span{
        font-size: 60px;
        line-height: 55px;
        height: 40px;
        width: 49px;
    }
    .index-fixed-phone{
        border-width: 12px;
    }
}
@media only screen and (max-width: 550px){
    .footer-box{
        padding: 20px 10px;
    }
    .footer-logo-box{
        width: 80px;
    }
    .footer-info{
        margin-left: 20px;
    }
    .footer-web{
        font-size: 12px;
        line-height: 1.6;
        box-sizing: border-box;
        padding: 5px 0;
    }
    .footer-web span:nth-child(2){
        display: block;
    }
    .index-fixed-box{
        right: 10px;
    }
    .index-fixed{
        width: 50px;
        height: 50px;
        margin-bottom: 10px;
    }
    .index-fixed-line span{
        font-size: 50px;
        line-height: 45px;
        height: 33px;
        width: 41px;
    }
    .index-fixed-phone{
        border-width: 9px;
    }
}




/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
	.footer-info a:hover{
        text-shadow: rgba(0,0,0,0.6) 2px 2px 2px;
    }
    .footer-top-box:hover p{
        text-shadow: rgba(0,0,0,0.6) 2px 2px 2px;
        font-weight: 900;
    }
    .footer-top-box:hover span{
        transform: scaleY(0.5);
        opacity: 1;
    }
    .footer-top-box:hover span::before{
        transform: translateY(0) rotateZ(35deg) scaleX(1.5);
        opacity: 1;
    }
    .footer-top-box:hover span::after{
        transform: translateY(0) rotateZ(-35deg) scaleX(1.5);
        opacity: 1;
    }
    .index-fixed:hover{
        box-shadow: 0 0 10px rgba(0,0,0,0.6);
        color: #366694;
    }
}

